Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] [RFC] 11-pkglint-elf-in-usrshare: allow explicit setting of exceptions
@ 2020-07-16 17:46 Hoshpak
  2020-07-16 18:29 ` pullmoll
                   ` (24 more replies)
  0 siblings, 25 replies; 26+ messages in thread
From: Hoshpak @ 2020-07-16 17:46 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 531 bytes --]

There is a new pull request by Hoshpak against master on the void-packages repository

https://github.com/Hoshpak/void-packages allow_usr_share_exceptions
https://github.com/void-linux/void-packages/pull/23601

[RFC] 11-pkglint-elf-in-usrshare: allow explicit setting of exceptions
This will allow to explicitely ignore files in the hook where it otherwise would create false positives like in the case of qemu.

@void-linux/pkg-committers

A patch file from https://github.com/void-linux/void-packages/pull/23601.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-allow_usr_share_exceptions-23601.patch --]
[-- Type: text/x-diff, Size: 1218 bytes --]

From 3676be6e4d5e14014baceed5b6fcf135a2ecee82 Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Thu, 16 Jul 2020 19:44:01 +0200
Subject: [PATCH] 11-pkglint-elf-in-usrshare: allow explicit setting of
 exceptions

---
 common/hooks/post-install/11-pkglint-elf-in-usrshare.sh | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/common/hooks/post-install/11-pkglint-elf-in-usrshare.sh b/common/hooks/post-install/11-pkglint-elf-in-usrshare.sh
index ff4f7789e86..02ca1c11bee 100644
--- a/common/hooks/post-install/11-pkglint-elf-in-usrshare.sh
+++ b/common/hooks/post-install/11-pkglint-elf-in-usrshare.sh
@@ -18,7 +18,11 @@ hook() {
         case "${mime}" in
             # Note application/x-executable is missing which is present in most Electron apps
             application/x-sharedlib*|application/x-pie-executable*)
-                matches+=" ${file#$PKGDESTDIR}" ;;
+                if ! [[ ${ignore_in_usr_share} =~ $(basename ${file#$PKGDESTDIR}) ]]
+                then
+                    matches+=" ${file#$PKGDESTDIR}"
+                fi
+                ;;
         esac
     done < <(find $PKGDESTDIR/usr/share -type f | file --mime-type --files-from -)
 

^ permalink raw reply	[flat|nested] 26+ messages in thread

end of thread, other threads:[~2020-08-25 19:19 UTC | newest]

Thread overview: 26+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-07-16 17:46 [PR PATCH] [RFC] 11-pkglint-elf-in-usrshare: allow explicit setting of exceptions Hoshpak
2020-07-16 18:29 ` pullmoll
2020-07-16 18:30 ` [PR REVIEW] " ahesford
2020-07-16 19:09 ` [PR PATCH] [Updated] " Hoshpak
2020-07-16 19:18 ` Hoshpak
2020-07-16 19:20 ` Hoshpak
2020-07-16 23:28 ` [PR REVIEW] " Johnnynator
2020-07-16 23:29 ` Johnnynator
2020-07-17 10:56 ` Piraty
2020-07-20 19:27 ` [PR PATCH] [Updated] " Hoshpak
2020-07-20 19:29 ` Hoshpak
2020-07-20 19:31 ` Hoshpak
2020-07-20 19:53 ` ahesford
2020-07-22 22:07 ` Chocimier
2020-07-23 16:34 ` Hoshpak
2020-07-29 20:54 ` Chocimier
2020-07-30 15:07 ` Hoshpak
2020-08-05 20:00 ` [PR PATCH] [Updated] " Chocimier
2020-08-05 20:00 ` Chocimier
2020-08-05 20:07 ` Chocimier
2020-08-05 20:11 ` [PR PATCH] [Updated] " Chocimier
2020-08-20 17:50 ` Chocimier
2020-08-20 17:50 ` Chocimier
2020-08-20 17:53 ` Chocimier
2020-08-25 19:14 ` [PR PATCH] [Updated] " Chocimier
2020-08-25 19:19 ` [PR PATCH] [Merged]: " Chocimier

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).